Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class BioUMLEditor

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--com.developmentontheedge.application.ApplicationFrame
                                          |
                                          +--biouml.editor.BioUMLApplication
                                                |
                                                +--biouml.editor.BioUMLEditor

Direct Known Subclasses:
  BioUMLModeler

public class BioUMLEditor
extends BioUMLApplication

Inner classes inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`final static String` | `SEARCH_LINKED_PANE_NAME`

Fields inherited from class biouml.editor.BioUMLApplication
`CONFIG_FILE, DESCRIPTION_PANE_NAME, DIAGRAM_PANE_NAME, FILTER_PANE_NAME, REPOSITORY_PANE_NAME`

Fields inherited from class javax.swing.JFrame
`EXIT_ON_CLOSE`

Fields inherited from class java.awt.Frame
`DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`BioUMLEditor(String repositoryPath)`
`BioUMLEditor(String applicationName, String repositoryPath, String lcf)`

Method Summary
`boolean` | `closeApplication()`
`void` | `closeCurrentDiagram()`
`ViewPane` | `createViewPane(Diagram diagram)`
`void` | `newDiagram(Module module)`
`void` | `newModule()`
`void` | `openDiagram(String completeName)`
`void` | `saveDiagram()`
`void` | `stateChanged(ChangeEvent e)`

Methods inherited from class biouml.editor.BioUMLApplication
`getDiagramViewListener, getMessageBundle, updateSelection`

Methods inherited from class com.developmentontheedge.application.ApplicationFrame
`getDocumentManager, getPanelManager, getStatusBar, getToolBar, setToolBar`

Methods inherited from class javax.swing.JFrame
`setDefaultCloseOperation, getDefaultCloseOperation, update, setJMenuBar, getJMenuBar, remove, setLayout, getRootPane, getContentPane, setContentPane, getLayeredPane, setLayeredPane, getGlassPane, setGlassPane, getAccessibleContext`

Methods inherited from class java.awt.Frame
`addNotify, getTitle, setTitle, getIconImage, setIconImage, getMenuBar, setMenuBar, isResizable, setResizable, setState, getState, remove, removeNotify, setCursor, getCursorType, getFrames`

Methods inherited from class java.awt.Window
`pack, show, hide, dispose, toFront, toBack, getToolkit, getWarningString, getLocale, getInputContext, setCursor, getOwner, getOwnedWindows, addWindowListener, removeWindowListener, getListeners, getFocusOwner, postEvent, isShowing, applyResourceBundle, applyResourceBundle, getGraphicsConfiguration`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, removeAll, getLayout, doLayout, layout, invalidate, validate, setFont, getPreferredSize, preferredSize, getMinimumSize, minimumSize, getMaximumSize, getAlignmentX, getAlignmentY, paint, print, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getTreeLock, isValid, isDisplayable, isVisible, isEnabled, setEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, getForeground, setForeground, getBackground, setBackground, getFont, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, reshape, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### SEARCH_LINKED_PANE_NAME

    public final static String SEARCH_LINKED_PANE_NAME

Constructor Detail

### BioUMLEditor

    public BioUMLEditor(String repositoryPath)

### BioUMLEditor

    public BioUMLEditor(String applicationName, String repositoryPath, String lcf)

Method Detail

### closeApplication

    public boolean closeApplication()

### closeCurrentDiagram

    public void closeCurrentDiagram()

### createViewPane

    public ViewPane createViewPane(Diagram diagram)

### newDiagram

    public void newDiagram(Module module)

### newModule

    public void newModule()

### openDiagram

    public void openDiagram(String completeName)

### saveDiagram

    public void saveDiagram()

### stateChanged

    public void stateChanged(ChangeEvent e)

Association Links

to Class java.lang.String

to Class biouml.editor.SearchLinkedPanel

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM